-- Copyright (C) 1991-2014 Altera Corporation. All rights reserved.
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, the Altera Quartus II License Agreement,
-- the Altera MegaCore Function License Agreement, or other 
-- applicable license agreement, including, without limitation, 
-- that your use is for the sole purpose of programming logic 
-- devices manufactured by Altera and sold by Altera or its 
-- authorized distributors.  Please refer to the applicable 
-- agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II 64-Bit"
-- VERSION "Version 14.0.2 Build 207 08/31/2014 SJ Full Version"

-- DATE "10/06/2014 22:27:01"

-- 
-- Device: Altera 10M08DAF484C8GES Package FBGA484
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY ALTERA;
LIBRARY FIFTYFIVENM;
LIBRARY IEEE;
USE ALTERA.ALTERA_PRIMITIVES_COMPONENTS.ALL;
USE FIFTYFIVENM.FIFTYFIVENM_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	image1 IS
    PORT (
	clk : IN std_logic;
	reset_n : IN std_logic;
	LED : OUT std_logic_vector(7 DOWNTO 0)
	);
END image1;

-- Design Ports Information
-- LED[0]	=>  Location: PIN_M2,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED[1]	=>  Location: PIN_N1,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED[2]	=>  Location: PIN_R2,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED[3]	=>  Location: PIN_T1,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED[4]	=>  Location: PIN_V4,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED[5]	=>  Location: PIN_T6,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED[6]	=>  Location: PIN_AB4,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED[7]	=>  Location: PIN_AA5,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- clk	=>  Location: PIN_N14,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- reset_n	=>  Location: PIN_M1,	 I/O Standard: 2.5 V,	 Current Strength: Default


ARCHITECTURE structure OF image1 IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_clk : std_logic;
SIGNAL ww_reset_n : std_logic;
SIGNAL ww_LED : std_logic_vector(7 DOWNTO 0);
SIGNAL \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \clk~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_regout\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[1]~7_cout\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[1]~8_combout\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[1]~9\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[2]~10_combout\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[2]~11\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[3]~12_combout\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[3]~13\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[4]~14_combout\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[4]~15\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[5]~16_combout\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[0]~5_combout\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[0]~6\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[1]~7_combout\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[1]~8\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[2]~9_combout\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[2]~10\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[3]~11_combout\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[3]~12\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[4]~13_combout\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal1~0_combout\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer~combout\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal0~0_combout\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rconfig~combout\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[0]~5_combout\ : std_logic;
SIGNAL \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_shiftnld~combout\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_captnupdt~combout\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_regin~combout\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~combout\ : std_logic;
SIGNAL \~GND~combout\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rconfig~_wirecell_combout\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer~_wirecell_combout\ : std_logic;
SIGNAL \auto_osc_block~clkout\ : std_logic;
SIGNAL \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\ : std_logic;
SIGNAL \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\ : std_logic;
SIGNAL \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\ : std_logic;
SIGNAL \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\ : std_logic;
SIGNAL \LED[0]~output_o\ : std_logic;
SIGNAL \LED[1]~output_o\ : std_logic;
SIGNAL \LED[2]~output_o\ : std_logic;
SIGNAL \LED[3]~output_o\ : std_logic;
SIGNAL \LED[4]~output_o\ : std_logic;
SIGNAL \LED[5]~output_o\ : std_logic;
SIGNAL \LED[6]~output_o\ : std_logic;
SIGNAL \LED[7]~output_o\ : std_logic;
SIGNAL \clk~input_o\ : std_logic;
SIGNAL \clk~inputclkctrl_outclk\ : std_logic;
SIGNAL \counter[0]~78_combout\ : std_logic;
SIGNAL \reset_n~input_o\ : std_logic;
SIGNAL \counter[1]~26_combout\ : std_logic;
SIGNAL \counter[1]~27\ : std_logic;
SIGNAL \counter[2]~28_combout\ : std_logic;
SIGNAL \counter[2]~29\ : std_logic;
SIGNAL \counter[3]~30_combout\ : std_logic;
SIGNAL \counter[3]~31\ : std_logic;
SIGNAL \counter[4]~32_combout\ : std_logic;
SIGNAL \counter[4]~33\ : std_logic;
SIGNAL \counter[5]~34_combout\ : std_logic;
SIGNAL \counter[5]~35\ : std_logic;
SIGNAL \counter[6]~36_combout\ : std_logic;
SIGNAL \counter[6]~37\ : std_logic;
SIGNAL \counter[7]~38_combout\ : std_logic;
SIGNAL \counter[7]~39\ : std_logic;
SIGNAL \counter[8]~40_combout\ : std_logic;
SIGNAL \counter[8]~41\ : std_logic;
SIGNAL \counter[9]~42_combout\ : std_logic;
SIGNAL \counter[9]~43\ : std_logic;
SIGNAL \counter[10]~44_combout\ : std_logic;
SIGNAL \counter[10]~45\ : std_logic;
SIGNAL \counter[11]~46_combout\ : std_logic;
SIGNAL \counter[11]~47\ : std_logic;
SIGNAL \counter[12]~48_combout\ : std_logic;
SIGNAL \counter[12]~49\ : std_logic;
SIGNAL \counter[13]~50_combout\ : std_logic;
SIGNAL \counter[13]~51\ : std_logic;
SIGNAL \counter[14]~52_combout\ : std_logic;
SIGNAL \counter[14]~53\ : std_logic;
SIGNAL \counter[15]~54_combout\ : std_logic;
SIGNAL \counter[15]~55\ : std_logic;
SIGNAL \counter[16]~56_combout\ : std_logic;
SIGNAL \counter[16]~57\ : std_logic;
SIGNAL \counter[17]~58_combout\ : std_logic;
SIGNAL \counter[17]~59\ : std_logic;
SIGNAL \counter[18]~60_combout\ : std_logic;
SIGNAL \counter[18]~61\ : std_logic;
SIGNAL \counter[19]~62_combout\ : std_logic;
SIGNAL \counter[19]~63\ : std_logic;
SIGNAL \counter[20]~64_combout\ : std_logic;
SIGNAL \counter[20]~65\ : std_logic;
SIGNAL \counter[21]~66_combout\ : std_logic;
SIGNAL \counter[21]~67\ : std_logic;
SIGNAL \counter[22]~68_combout\ : std_logic;
SIGNAL \counter[22]~69\ : std_logic;
SIGNAL \counter[23]~70_combout\ : std_logic;
SIGNAL \counter[23]~71\ : std_logic;
SIGNAL \counter[24]~72_combout\ : std_logic;
SIGNAL \counter[24]~73\ : std_logic;
SIGNAL \counter[25]~74_combout\ : std_logic;
SIGNAL \counter[25]~75\ : std_logic;
SIGNAL \counter[26]~76_combout\ : std_logic;
SIGNAL \PWM_adj~0_combout\ : std_logic;
SIGNAL \PWM_adj~1_combout\ : std_logic;
SIGNAL \PWM_adj~2_combout\ : std_logic;
SIGNAL \PWM_adj~3_combout\ : std_logic;
SIGNAL \PWM_adj~4_combout\ : std_logic;
SIGNAL \PWM_adj~5_combout\ : std_logic;
SIGNAL \PWM_width[0]~7_combout\ : std_logic;
SIGNAL \PWM_width[0]~8\ : std_logic;
SIGNAL \PWM_width[1]~9_combout\ : std_logic;
SIGNAL \PWM_width[1]~10\ : std_logic;
SIGNAL \PWM_width[2]~11_combout\ : std_logic;
SIGNAL \PWM_width[2]~12\ : std_logic;
SIGNAL \PWM_width[3]~13_combout\ : std_logic;
SIGNAL \PWM_width[3]~14\ : std_logic;
SIGNAL \PWM_width[4]~15_combout\ : std_logic;
SIGNAL \PWM_width[4]~16\ : std_logic;
SIGNAL \PWM_width[5]~17_combout\ : std_logic;
SIGNAL \PWM_width[5]~18\ : std_logic;
SIGNAL \PWM_width[6]~19_combout\ : std_logic;
SIGNAL \LED[0]~0_combout\ : std_logic;
SIGNAL \LED[0]~reg0_q\ : std_logic;
SIGNAL \LED[1]~1_combout\ : std_logic;
SIGNAL \LED[1]~reg0_q\ : std_logic;
SIGNAL \LED[2]~2_combout\ : std_logic;
SIGNAL \LED[2]~reg0_q\ : std_logic;
SIGNAL \LED[3]~3_combout\ : std_logic;
SIGNAL \LED[3]~reg0_q\ : std_logic;
SIGNAL \LED[4]~reg0feeder_combout\ : std_logic;
SIGNAL \LED[4]~reg0_q\ : std_logic;
SIGNAL \LED[5]~reg0feeder_combout\ : std_logic;
SIGNAL \LED[5]~reg0_q\ : std_logic;
SIGNAL \LED[6]~reg0feeder_combout\ : std_logic;
SIGNAL \LED[6]~reg0_q\ : std_logic;
SIGNAL \LED[7]~reg0feeder_combout\ : std_logic;
SIGNAL \LED[7]~reg0_q\ : std_logic;
SIGNAL counter : std_logic_vector(26 DOWNTO 0);
SIGNAL PWM_width : std_logic_vector(6 DOWNTO 0);
SIGNAL PWM_adj : std_logic_vector(5 DOWNTO 0);
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ALT_INV_ru_rsttimer~_wirecell_combout\ : std_logic;
SIGNAL \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ALT_INV_ru_rconfig~_wirecell_combout\ : std_logic;
SIGNAL \ALT_INV_~GND~combout\ : std_logic;

BEGIN

ww_clk <= clk;
ww_reset_n <= reset_n;
LED <= ww_LED;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\);

\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~combout\);

\clk~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \clk~input_o\);
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ALT_INV_ru_rsttimer~_wirecell_combout\ <= NOT \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer~_wirecell_combout\;
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ALT_INV_ru_rconfig~_wirecell_combout\ <= NOT \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rconfig~_wirecell_combout\;
\ALT_INV_~GND~combout\ <= NOT \~GND~combout\;

-- Location: FF_X11_Y18_N3
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[1]~8_combout\,
	clrn => \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(1));

-- Location: FF_X11_Y18_N5
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[2]~10_combout\,
	clrn => \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(2));

-- Location: FF_X11_Y18_N7
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[3]~12_combout\,
	clrn => \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(3));

-- Location: FF_X11_Y18_N9
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[4]~14_combout\,
	clrn => \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(4));

-- Location: FF_X11_Y18_N11
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[5]~16_combout\,
	clrn => \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(5));

-- Location: FF_X11_Y12_N7
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[0]~5_combout\,
	clrn => \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rconfig~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(0));

-- Location: FF_X11_Y12_N9
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[1]~7_combout\,
	clrn => \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rconfig~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(1));

-- Location: FF_X11_Y12_N11
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[2]~9_combout\,
	clrn => \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rconfig~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(2));

-- Location: FF_X11_Y12_N13
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[3]~11_combout\,
	clrn => \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rconfig~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(3));

-- Location: FF_X11_Y12_N15
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[4]~13_combout\,
	clrn => \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	ena => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rconfig~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(4));

-- Location: LCCOMB_X11_Y18_N0
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[1]~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(0),
	datad => VCC,
	cout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[1]~7_cout\);

-- Location: LCCOMB_X11_Y18_N2
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[1]~8\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(1),
	datad => VCC,
	cin => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[1]~7_cout\,
	combout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[1]~8_combout\,
	cout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[1]~9\);

-- Location: LCCOMB_X11_Y18_N4
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[2]~10\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(2),
	datad => VCC,
	cin => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[1]~9\,
	combout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[2]~10_combout\,
	cout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[2]~11\);

-- Location: LCCOMB_X11_Y18_N6
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[3]~12\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(3),
	datad => VCC,
	cin => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[2]~11\,
	combout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[3]~12_combout\,
	cout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[3]~13\);

-- Location: LCCOMB_X11_Y18_N8
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[4]~14\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(4),
	datad => VCC,
	cin => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[3]~13\,
	combout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[4]~14_combout\,
	cout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[4]~15\);

-- Location: LCCOMB_X11_Y18_N10
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[5]~16\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(5),
	cin => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[4]~15\,
	combout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[5]~16_combout\);

-- Location: LCCOMB_X11_Y12_N6
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[0]~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(0),
	datad => VCC,
	combout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[0]~5_combout\,
	cout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[0]~6\);

-- Location: LCCOMB_X11_Y12_N8
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[1]~7\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(1),
	datad => VCC,
	cin => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[0]~6\,
	combout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[1]~7_combout\,
	cout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[1]~8\);

-- Location: LCCOMB_X11_Y12_N10
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[2]~9\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101010101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(2),
	datad => VCC,
	cin => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[1]~8\,
	combout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[2]~9_combout\,
	cout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[2]~10\);

-- Location: LCCOMB_X11_Y12_N12
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[3]~11\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100000101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(3),
	datad => VCC,
	cin => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[2]~10\,
	combout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[3]~11_combout\,
	cout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[3]~12\);

-- Location: LCCOMB_X11_Y12_N14
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[4]~13\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(4),
	cin => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[3]~12\,
	combout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter[4]~13_combout\);

-- Location: FF_X11_Y18_N13
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\,
	d => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[0]~5_combout\,
	clrn => \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(0));

-- Location: LCCOMB_X11_Y18_N30
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal1~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(3),
	datab => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(1),
	datac => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(2),
	datad => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(0),
	combout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal1~0_combout\);

-- Location: LCCOMB_X11_Y18_N24
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal1~0_combout\,
	datac => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(4),
	datad => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(5),
	combout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer~combout\);

-- Location: LCCOMB_X11_Y12_N24
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal0~0\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(2),
	datab => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(3),
	datac => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(1),
	datad => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(0),
	combout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal0~0_combout\);

-- Location: LCCOMB_X11_Y12_N26
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rconfig\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|reconfig_counter\(4),
	datad => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal0~0_combout\,
	combout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rconfig~combout\);

-- Location: LCCOMB_X11_Y18_N12
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[0]~5\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|Equal1~0_combout\,
	datab => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(4),
	datac => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(0),
	datad => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter\(5),
	combout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|rst_timer_counter[0]~5_combout\);

-- Location: FF_X6_Y4_N9
\dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~q\);

-- Location: FF_X6_Y4_N11
\dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0));

-- Location: FF_X6_Y4_N13
\dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1));

-- Location: LCCOMB_X11_Y13_N16
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_shiftnld\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_shiftnld~combout\);

-- Location: LCCOMB_X12_Y13_N8
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_captnupdt\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_captnupdt~combout\);

-- Location: LCCOMB_X11_Y11_N0
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_regin\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_regin~combout\);

-- Location: LCCOMB_X10_Y9_N0
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \clk~input_o\,
	combout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~combout\);

-- Location: LCCOMB_X13_Y13_N8
\~GND\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \~GND~combout\ = GND

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \~GND~combout\);

-- Location: LCCOMB_X11_Y12_N4
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rconfig~_wirecell\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rconfig~combout\,
	combout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rconfig~_wirecell_combout\);

-- Location: LCCOMB_X11_Y18_N18
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer~_wirecell\ : fiftyfivenm_lcell_comb
-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer~combout\,
	combout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_rsttimer~_wirecell_combout\);

-- Location: CLKCTRL_G5
\dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~clkctrl_outclk\);

-- Location: CLKCTRL_G0
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|dual_boot_int_clk~clkctrl_outclk\);

-- Location: LCCOMB_X6_Y4_N8
\dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\ = \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(0),
	combout => \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out~feeder_combout\);

-- Location: LCCOMB_X6_Y4_N10
\dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\ = \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain\(1),
	combout => \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[0]~feeder_combout\);

-- Location: LCCOMB_X6_Y4_N12
\dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\ = VCC

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \dual_arrow|rst_controller|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain[1]~feeder_combout\);

-- Location: IOOBUF_X0_Y5_N2
\LED[0]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \LED[0]~reg0_q\,
	devoe => ww_devoe,
	o => \LED[0]~output_o\);

-- Location: IOOBUF_X0_Y3_N9
\LED[1]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \LED[1]~reg0_q\,
	devoe => ww_devoe,
	o => \LED[1]~output_o\);

-- Location: IOOBUF_X0_Y2_N9
\LED[2]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \LED[2]~reg0_q\,
	devoe => ww_devoe,
	o => \LED[2]~output_o\);

-- Location: IOOBUF_X0_Y4_N2
\LED[3]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \LED[3]~reg0_q\,
	devoe => ww_devoe,
	o => \LED[3]~output_o\);

-- Location: IOOBUF_X3_Y0_N30
\LED[4]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \LED[4]~reg0_q\,
	devoe => ww_devoe,
	o => \LED[4]~output_o\);

-- Location: IOOBUF_X0_Y2_N23
\LED[5]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \LED[5]~reg0_q\,
	devoe => ww_devoe,
	o => \LED[5]~output_o\);

-- Location: IOOBUF_X11_Y0_N16
\LED[6]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \LED[6]~reg0_q\,
	devoe => ww_devoe,
	o => \LED[6]~output_o\);

-- Location: IOOBUF_X13_Y0_N30
\LED[7]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \LED[7]~reg0_q\,
	devoe => ww_devoe,
	o => \LED[7]~output_o\);

-- Location: IOIBUF_X31_Y9_N22
\clk~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z",
	use_input_enable => "false")
-- pragma translate_on
PORT MAP (
	i => ww_clk,
	o => \clk~input_o\);

-- Location: CLKCTRL_G9
\clk~inputclkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \clk~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \clk~inputclkctrl_outclk\);

-- Location: LCCOMB_X10_Y3_N4
\counter[0]~78\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[0]~78_combout\ = !counter(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => counter(0),
	combout => \counter[0]~78_combout\);

-- Location: IOIBUF_X0_Y5_N8
\reset_n~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z",
	use_input_enable => "false")
-- pragma translate_on
PORT MAP (
	i => ww_reset_n,
	o => \reset_n~input_o\);

-- Location: FF_X10_Y3_N5
\counter[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[0]~78_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(0));

-- Location: LCCOMB_X10_Y3_N6
\counter[1]~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[1]~26_combout\ = (counter(1) & (counter(0) $ (VCC))) # (!counter(1) & (counter(0) & VCC))
-- \counter[1]~27\ = CARRY((counter(1) & counter(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => counter(1),
	datab => counter(0),
	datad => VCC,
	combout => \counter[1]~26_combout\,
	cout => \counter[1]~27\);

-- Location: FF_X10_Y3_N7
\counter[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[1]~26_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(1));

-- Location: LCCOMB_X10_Y3_N8
\counter[2]~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[2]~28_combout\ = (counter(2) & (!\counter[1]~27\)) # (!counter(2) & ((\counter[1]~27\) # (GND)))
-- \counter[2]~29\ = CARRY((!\counter[1]~27\) # (!counter(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => counter(2),
	datad => VCC,
	cin => \counter[1]~27\,
	combout => \counter[2]~28_combout\,
	cout => \counter[2]~29\);

-- Location: FF_X10_Y3_N9
\counter[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[2]~28_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(2));

-- Location: LCCOMB_X10_Y3_N10
\counter[3]~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[3]~30_combout\ = (counter(3) & (\counter[2]~29\ $ (GND))) # (!counter(3) & (!\counter[2]~29\ & VCC))
-- \counter[3]~31\ = CARRY((counter(3) & !\counter[2]~29\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => counter(3),
	datad => VCC,
	cin => \counter[2]~29\,
	combout => \counter[3]~30_combout\,
	cout => \counter[3]~31\);

-- Location: FF_X10_Y3_N11
\counter[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[3]~30_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(3));

-- Location: LCCOMB_X10_Y3_N12
\counter[4]~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[4]~32_combout\ = (counter(4) & (!\counter[3]~31\)) # (!counter(4) & ((\counter[3]~31\) # (GND)))
-- \counter[4]~33\ = CARRY((!\counter[3]~31\) # (!counter(4)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => counter(4),
	datad => VCC,
	cin => \counter[3]~31\,
	combout => \counter[4]~32_combout\,
	cout => \counter[4]~33\);

-- Location: FF_X10_Y3_N13
\counter[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[4]~32_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(4));

-- Location: LCCOMB_X10_Y3_N14
\counter[5]~34\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[5]~34_combout\ = (counter(5) & (\counter[4]~33\ $ (GND))) # (!counter(5) & (!\counter[4]~33\ & VCC))
-- \counter[5]~35\ = CARRY((counter(5) & !\counter[4]~33\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => counter(5),
	datad => VCC,
	cin => \counter[4]~33\,
	combout => \counter[5]~34_combout\,
	cout => \counter[5]~35\);

-- Location: FF_X10_Y3_N15
\counter[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[5]~34_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(5));

-- Location: LCCOMB_X10_Y3_N16
\counter[6]~36\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[6]~36_combout\ = (counter(6) & (!\counter[5]~35\)) # (!counter(6) & ((\counter[5]~35\) # (GND)))
-- \counter[6]~37\ = CARRY((!\counter[5]~35\) # (!counter(6)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => counter(6),
	datad => VCC,
	cin => \counter[5]~35\,
	combout => \counter[6]~36_combout\,
	cout => \counter[6]~37\);

-- Location: FF_X10_Y3_N17
\counter[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[6]~36_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(6));

-- Location: LCCOMB_X10_Y3_N18
\counter[7]~38\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[7]~38_combout\ = (counter(7) & (\counter[6]~37\ $ (GND))) # (!counter(7) & (!\counter[6]~37\ & VCC))
-- \counter[7]~39\ = CARRY((counter(7) & !\counter[6]~37\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => counter(7),
	datad => VCC,
	cin => \counter[6]~37\,
	combout => \counter[7]~38_combout\,
	cout => \counter[7]~39\);

-- Location: FF_X10_Y3_N19
\counter[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[7]~38_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(7));

-- Location: LCCOMB_X10_Y3_N20
\counter[8]~40\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[8]~40_combout\ = (counter(8) & (!\counter[7]~39\)) # (!counter(8) & ((\counter[7]~39\) # (GND)))
-- \counter[8]~41\ = CARRY((!\counter[7]~39\) # (!counter(8)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => counter(8),
	datad => VCC,
	cin => \counter[7]~39\,
	combout => \counter[8]~40_combout\,
	cout => \counter[8]~41\);

-- Location: FF_X10_Y3_N21
\counter[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[8]~40_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(8));

-- Location: LCCOMB_X10_Y3_N22
\counter[9]~42\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[9]~42_combout\ = (counter(9) & (\counter[8]~41\ $ (GND))) # (!counter(9) & (!\counter[8]~41\ & VCC))
-- \counter[9]~43\ = CARRY((counter(9) & !\counter[8]~41\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => counter(9),
	datad => VCC,
	cin => \counter[8]~41\,
	combout => \counter[9]~42_combout\,
	cout => \counter[9]~43\);

-- Location: FF_X10_Y3_N23
\counter[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[9]~42_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(9));

-- Location: LCCOMB_X10_Y3_N24
\counter[10]~44\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[10]~44_combout\ = (counter(10) & (!\counter[9]~43\)) # (!counter(10) & ((\counter[9]~43\) # (GND)))
-- \counter[10]~45\ = CARRY((!\counter[9]~43\) # (!counter(10)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => counter(10),
	datad => VCC,
	cin => \counter[9]~43\,
	combout => \counter[10]~44_combout\,
	cout => \counter[10]~45\);

-- Location: FF_X10_Y3_N25
\counter[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[10]~44_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(10));

-- Location: LCCOMB_X10_Y3_N26
\counter[11]~46\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[11]~46_combout\ = (counter(11) & (\counter[10]~45\ $ (GND))) # (!counter(11) & (!\counter[10]~45\ & VCC))
-- \counter[11]~47\ = CARRY((counter(11) & !\counter[10]~45\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => counter(11),
	datad => VCC,
	cin => \counter[10]~45\,
	combout => \counter[11]~46_combout\,
	cout => \counter[11]~47\);

-- Location: FF_X10_Y3_N27
\counter[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[11]~46_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(11));

-- Location: LCCOMB_X10_Y3_N28
\counter[12]~48\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[12]~48_combout\ = (counter(12) & (!\counter[11]~47\)) # (!counter(12) & ((\counter[11]~47\) # (GND)))
-- \counter[12]~49\ = CARRY((!\counter[11]~47\) # (!counter(12)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => counter(12),
	datad => VCC,
	cin => \counter[11]~47\,
	combout => \counter[12]~48_combout\,
	cout => \counter[12]~49\);

-- Location: FF_X10_Y3_N29
\counter[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[12]~48_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(12));

-- Location: LCCOMB_X10_Y3_N30
\counter[13]~50\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[13]~50_combout\ = (counter(13) & (\counter[12]~49\ $ (GND))) # (!counter(13) & (!\counter[12]~49\ & VCC))
-- \counter[13]~51\ = CARRY((counter(13) & !\counter[12]~49\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => counter(13),
	datad => VCC,
	cin => \counter[12]~49\,
	combout => \counter[13]~50_combout\,
	cout => \counter[13]~51\);

-- Location: FF_X10_Y3_N31
\counter[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[13]~50_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(13));

-- Location: LCCOMB_X10_Y2_N0
\counter[14]~52\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[14]~52_combout\ = (counter(14) & (!\counter[13]~51\)) # (!counter(14) & ((\counter[13]~51\) # (GND)))
-- \counter[14]~53\ = CARRY((!\counter[13]~51\) # (!counter(14)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => counter(14),
	datad => VCC,
	cin => \counter[13]~51\,
	combout => \counter[14]~52_combout\,
	cout => \counter[14]~53\);

-- Location: FF_X10_Y2_N1
\counter[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[14]~52_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(14));

-- Location: LCCOMB_X10_Y2_N2
\counter[15]~54\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[15]~54_combout\ = (counter(15) & (\counter[14]~53\ $ (GND))) # (!counter(15) & (!\counter[14]~53\ & VCC))
-- \counter[15]~55\ = CARRY((counter(15) & !\counter[14]~53\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => counter(15),
	datad => VCC,
	cin => \counter[14]~53\,
	combout => \counter[15]~54_combout\,
	cout => \counter[15]~55\);

-- Location: FF_X10_Y2_N3
\counter[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[15]~54_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(15));

-- Location: LCCOMB_X10_Y2_N4
\counter[16]~56\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[16]~56_combout\ = (counter(16) & (!\counter[15]~55\)) # (!counter(16) & ((\counter[15]~55\) # (GND)))
-- \counter[16]~57\ = CARRY((!\counter[15]~55\) # (!counter(16)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => counter(16),
	datad => VCC,
	cin => \counter[15]~55\,
	combout => \counter[16]~56_combout\,
	cout => \counter[16]~57\);

-- Location: FF_X10_Y2_N5
\counter[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[16]~56_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(16));

-- Location: LCCOMB_X10_Y2_N6
\counter[17]~58\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[17]~58_combout\ = (counter(17) & (\counter[16]~57\ $ (GND))) # (!counter(17) & (!\counter[16]~57\ & VCC))
-- \counter[17]~59\ = CARRY((counter(17) & !\counter[16]~57\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => counter(17),
	datad => VCC,
	cin => \counter[16]~57\,
	combout => \counter[17]~58_combout\,
	cout => \counter[17]~59\);

-- Location: FF_X10_Y2_N7
\counter[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[17]~58_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(17));

-- Location: LCCOMB_X10_Y2_N8
\counter[18]~60\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[18]~60_combout\ = (counter(18) & (!\counter[17]~59\)) # (!counter(18) & ((\counter[17]~59\) # (GND)))
-- \counter[18]~61\ = CARRY((!\counter[17]~59\) # (!counter(18)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => counter(18),
	datad => VCC,
	cin => \counter[17]~59\,
	combout => \counter[18]~60_combout\,
	cout => \counter[18]~61\);

-- Location: FF_X10_Y2_N9
\counter[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[18]~60_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(18));

-- Location: LCCOMB_X10_Y2_N10
\counter[19]~62\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[19]~62_combout\ = (counter(19) & (\counter[18]~61\ $ (GND))) # (!counter(19) & (!\counter[18]~61\ & VCC))
-- \counter[19]~63\ = CARRY((counter(19) & !\counter[18]~61\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => counter(19),
	datad => VCC,
	cin => \counter[18]~61\,
	combout => \counter[19]~62_combout\,
	cout => \counter[19]~63\);

-- Location: FF_X10_Y2_N11
\counter[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[19]~62_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(19));

-- Location: LCCOMB_X10_Y2_N12
\counter[20]~64\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[20]~64_combout\ = (counter(20) & (!\counter[19]~63\)) # (!counter(20) & ((\counter[19]~63\) # (GND)))
-- \counter[20]~65\ = CARRY((!\counter[19]~63\) # (!counter(20)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => counter(20),
	datad => VCC,
	cin => \counter[19]~63\,
	combout => \counter[20]~64_combout\,
	cout => \counter[20]~65\);

-- Location: FF_X10_Y2_N13
\counter[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[20]~64_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(20));

-- Location: LCCOMB_X10_Y2_N14
\counter[21]~66\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[21]~66_combout\ = (counter(21) & (\counter[20]~65\ $ (GND))) # (!counter(21) & (!\counter[20]~65\ & VCC))
-- \counter[21]~67\ = CARRY((counter(21) & !\counter[20]~65\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => counter(21),
	datad => VCC,
	cin => \counter[20]~65\,
	combout => \counter[21]~66_combout\,
	cout => \counter[21]~67\);

-- Location: FF_X10_Y2_N15
\counter[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[21]~66_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(21));

-- Location: LCCOMB_X10_Y2_N16
\counter[22]~68\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[22]~68_combout\ = (counter(22) & (!\counter[21]~67\)) # (!counter(22) & ((\counter[21]~67\) # (GND)))
-- \counter[22]~69\ = CARRY((!\counter[21]~67\) # (!counter(22)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => counter(22),
	datad => VCC,
	cin => \counter[21]~67\,
	combout => \counter[22]~68_combout\,
	cout => \counter[22]~69\);

-- Location: FF_X10_Y2_N17
\counter[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[22]~68_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(22));

-- Location: LCCOMB_X10_Y2_N18
\counter[23]~70\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[23]~70_combout\ = (counter(23) & (\counter[22]~69\ $ (GND))) # (!counter(23) & (!\counter[22]~69\ & VCC))
-- \counter[23]~71\ = CARRY((counter(23) & !\counter[22]~69\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => counter(23),
	datad => VCC,
	cin => \counter[22]~69\,
	combout => \counter[23]~70_combout\,
	cout => \counter[23]~71\);

-- Location: FF_X10_Y2_N19
\counter[23]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[23]~70_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(23));

-- Location: LCCOMB_X10_Y2_N20
\counter[24]~72\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[24]~72_combout\ = (counter(24) & (!\counter[23]~71\)) # (!counter(24) & ((\counter[23]~71\) # (GND)))
-- \counter[24]~73\ = CARRY((!\counter[23]~71\) # (!counter(24)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => counter(24),
	datad => VCC,
	cin => \counter[23]~71\,
	combout => \counter[24]~72_combout\,
	cout => \counter[24]~73\);

-- Location: FF_X10_Y2_N21
\counter[24]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[24]~72_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(24));

-- Location: LCCOMB_X10_Y2_N22
\counter[25]~74\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[25]~74_combout\ = (counter(25) & (\counter[24]~73\ $ (GND))) # (!counter(25) & (!\counter[24]~73\ & VCC))
-- \counter[25]~75\ = CARRY((counter(25) & !\counter[24]~73\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => counter(25),
	datad => VCC,
	cin => \counter[24]~73\,
	combout => \counter[25]~74_combout\,
	cout => \counter[25]~75\);

-- Location: FF_X10_Y2_N23
\counter[25]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[25]~74_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(25));

-- Location: LCCOMB_X10_Y2_N24
\counter[26]~76\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \counter[26]~76_combout\ = \counter[25]~75\ $ (counter(26))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => counter(26),
	cin => \counter[25]~75\,
	combout => \counter[26]~76_combout\);

-- Location: FF_X10_Y2_N25
\counter[26]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \counter[26]~76_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => counter(26));

-- Location: LCCOMB_X10_Y4_N2
\PWM_adj~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \PWM_adj~0_combout\ = counter(25) $ (!counter(26))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => counter(25),
	datad => counter(26),
	combout => \PWM_adj~0_combout\);

-- Location: FF_X10_Y4_N3
\PWM_adj[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \PWM_adj~0_combout\,
	ena => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => PWM_adj(5));

-- Location: LCCOMB_X10_Y2_N26
\PWM_adj~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \PWM_adj~1_combout\ = counter(24) $ (!counter(26))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => counter(24),
	datad => counter(26),
	combout => \PWM_adj~1_combout\);

-- Location: FF_X10_Y2_N27
\PWM_adj[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \PWM_adj~1_combout\,
	ena => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => PWM_adj(4));

-- Location: LCCOMB_X10_Y2_N28
\PWM_adj~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \PWM_adj~2_combout\ = counter(23) $ (!counter(26))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => counter(23),
	datad => counter(26),
	combout => \PWM_adj~2_combout\);

-- Location: FF_X10_Y2_N29
\PWM_adj[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \PWM_adj~2_combout\,
	ena => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => PWM_adj(3));

-- Location: LCCOMB_X10_Y4_N28
\PWM_adj~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \PWM_adj~3_combout\ = counter(26) $ (!counter(22))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => counter(26),
	datad => counter(22),
	combout => \PWM_adj~3_combout\);

-- Location: FF_X10_Y4_N29
\PWM_adj[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \PWM_adj~3_combout\,
	ena => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => PWM_adj(2));

-- Location: LCCOMB_X10_Y4_N22
\PWM_adj~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \PWM_adj~4_combout\ = counter(21) $ (!counter(26))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101001010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => counter(21),
	datad => counter(26),
	combout => \PWM_adj~4_combout\);

-- Location: FF_X10_Y4_N23
\PWM_adj[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \PWM_adj~4_combout\,
	ena => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => PWM_adj(1));

-- Location: LCCOMB_X10_Y2_N30
\PWM_adj~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \PWM_adj~5_combout\ = counter(20) $ (!counter(26))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101001010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => counter(20),
	datad => counter(26),
	combout => \PWM_adj~5_combout\);

-- Location: FF_X10_Y2_N31
\PWM_adj[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \PWM_adj~5_combout\,
	ena => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => PWM_adj(0));

-- Location: LCCOMB_X10_Y4_N8
\PWM_width[0]~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \PWM_width[0]~7_combout\ = (PWM_adj(0) & (PWM_width(0) $ (VCC))) # (!PWM_adj(0) & (PWM_width(0) & VCC))
-- \PWM_width[0]~8\ = CARRY((PWM_adj(0) & PWM_width(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110011010001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => PWM_adj(0),
	datab => PWM_width(0),
	datad => VCC,
	combout => \PWM_width[0]~7_combout\,
	cout => \PWM_width[0]~8\);

-- Location: FF_X10_Y4_N9
\PWM_width[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \PWM_width[0]~7_combout\,
	ena => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => PWM_width(0));

-- Location: LCCOMB_X10_Y4_N10
\PWM_width[1]~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \PWM_width[1]~9_combout\ = (PWM_adj(1) & ((PWM_width(1) & (\PWM_width[0]~8\ & VCC)) # (!PWM_width(1) & (!\PWM_width[0]~8\)))) # (!PWM_adj(1) & ((PWM_width(1) & (!\PWM_width[0]~8\)) # (!PWM_width(1) & ((\PWM_width[0]~8\) # (GND)))))
-- \PWM_width[1]~10\ = CARRY((PWM_adj(1) & (!PWM_width(1) & !\PWM_width[0]~8\)) # (!PWM_adj(1) & ((!\PWM_width[0]~8\) # (!PWM_width(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => PWM_adj(1),
	datab => PWM_width(1),
	datad => VCC,
	cin => \PWM_width[0]~8\,
	combout => \PWM_width[1]~9_combout\,
	cout => \PWM_width[1]~10\);

-- Location: FF_X10_Y4_N11
\PWM_width[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \PWM_width[1]~9_combout\,
	ena => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => PWM_width(1));

-- Location: LCCOMB_X10_Y4_N12
\PWM_width[2]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \PWM_width[2]~11_combout\ = ((PWM_width(2) $ (PWM_adj(2) $ (!\PWM_width[1]~10\)))) # (GND)
-- \PWM_width[2]~12\ = CARRY((PWM_width(2) & ((PWM_adj(2)) # (!\PWM_width[1]~10\))) # (!PWM_width(2) & (PWM_adj(2) & !\PWM_width[1]~10\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => PWM_width(2),
	datab => PWM_adj(2),
	datad => VCC,
	cin => \PWM_width[1]~10\,
	combout => \PWM_width[2]~11_combout\,
	cout => \PWM_width[2]~12\);

-- Location: FF_X10_Y4_N13
\PWM_width[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \PWM_width[2]~11_combout\,
	ena => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => PWM_width(2));

-- Location: LCCOMB_X10_Y4_N14
\PWM_width[3]~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \PWM_width[3]~13_combout\ = (PWM_adj(3) & ((PWM_width(3) & (\PWM_width[2]~12\ & VCC)) # (!PWM_width(3) & (!\PWM_width[2]~12\)))) # (!PWM_adj(3) & ((PWM_width(3) & (!\PWM_width[2]~12\)) # (!PWM_width(3) & ((\PWM_width[2]~12\) # (GND)))))
-- \PWM_width[3]~14\ = CARRY((PWM_adj(3) & (!PWM_width(3) & !\PWM_width[2]~12\)) # (!PWM_adj(3) & ((!\PWM_width[2]~12\) # (!PWM_width(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => PWM_adj(3),
	datab => PWM_width(3),
	datad => VCC,
	cin => \PWM_width[2]~12\,
	combout => \PWM_width[3]~13_combout\,
	cout => \PWM_width[3]~14\);

-- Location: FF_X10_Y4_N15
\PWM_width[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \PWM_width[3]~13_combout\,
	ena => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => PWM_width(3));

-- Location: LCCOMB_X10_Y4_N16
\PWM_width[4]~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \PWM_width[4]~15_combout\ = ((PWM_adj(4) $ (PWM_width(4) $ (!\PWM_width[3]~14\)))) # (GND)
-- \PWM_width[4]~16\ = CARRY((PWM_adj(4) & ((PWM_width(4)) # (!\PWM_width[3]~14\))) # (!PWM_adj(4) & (PWM_width(4) & !\PWM_width[3]~14\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110001110",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => PWM_adj(4),
	datab => PWM_width(4),
	datad => VCC,
	cin => \PWM_width[3]~14\,
	combout => \PWM_width[4]~15_combout\,
	cout => \PWM_width[4]~16\);

-- Location: FF_X10_Y4_N17
\PWM_width[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \PWM_width[4]~15_combout\,
	ena => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => PWM_width(4));

-- Location: LCCOMB_X10_Y4_N18
\PWM_width[5]~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \PWM_width[5]~17_combout\ = (PWM_width(5) & ((PWM_adj(5) & (\PWM_width[4]~16\ & VCC)) # (!PWM_adj(5) & (!\PWM_width[4]~16\)))) # (!PWM_width(5) & ((PWM_adj(5) & (!\PWM_width[4]~16\)) # (!PWM_adj(5) & ((\PWM_width[4]~16\) # (GND)))))
-- \PWM_width[5]~18\ = CARRY((PWM_width(5) & (!PWM_adj(5) & !\PWM_width[4]~16\)) # (!PWM_width(5) & ((!\PWM_width[4]~16\) # (!PWM_adj(5)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000010111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => PWM_width(5),
	datab => PWM_adj(5),
	datad => VCC,
	cin => \PWM_width[4]~16\,
	combout => \PWM_width[5]~17_combout\,
	cout => \PWM_width[5]~18\);

-- Location: FF_X10_Y4_N19
\PWM_width[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \PWM_width[5]~17_combout\,
	ena => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => PWM_width(5));

-- Location: LCCOMB_X10_Y4_N20
\PWM_width[6]~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \PWM_width[6]~19_combout\ = !\PWM_width[5]~18\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	cin => \PWM_width[5]~18\,
	combout => \PWM_width[6]~19_combout\);

-- Location: FF_X10_Y4_N21
\PWM_width[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \PWM_width[6]~19_combout\,
	ena => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => PWM_width(6));

-- Location: LCCOMB_X10_Y3_N0
\LED[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \LED[0]~0_combout\ = !PWM_width(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => PWM_width(6),
	combout => \LED[0]~0_combout\);

-- Location: FF_X10_Y3_N1
\LED[0]~reg0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \LED[0]~0_combout\,
	clrn => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \LED[0]~reg0_q\);

-- Location: LCCOMB_X10_Y4_N24
\LED[1]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \LED[1]~1_combout\ = !PWM_width(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => PWM_width(6),
	combout => \LED[1]~1_combout\);

-- Location: FF_X10_Y4_N25
\LED[1]~reg0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \LED[1]~1_combout\,
	ena => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \LED[1]~reg0_q\);

-- Location: LCCOMB_X10_Y4_N26
\LED[2]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \LED[2]~2_combout\ = !PWM_width(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => PWM_width(6),
	combout => \LED[2]~2_combout\);

-- Location: FF_X10_Y4_N27
\LED[2]~reg0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \LED[2]~2_combout\,
	ena => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \LED[2]~reg0_q\);

-- Location: LCCOMB_X10_Y4_N4
\LED[3]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \LED[3]~3_combout\ = !PWM_width(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => PWM_width(6),
	combout => \LED[3]~3_combout\);

-- Location: FF_X10_Y4_N5
\LED[3]~reg0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \LED[3]~3_combout\,
	ena => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \LED[3]~reg0_q\);

-- Location: LCCOMB_X10_Y3_N2
\LED[4]~reg0feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \LED[4]~reg0feeder_combout\ = PWM_width(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => PWM_width(6),
	combout => \LED[4]~reg0feeder_combout\);

-- Location: FF_X10_Y3_N3
\LED[4]~reg0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \LED[4]~reg0feeder_combout\,
	ena => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \LED[4]~reg0_q\);

-- Location: LCCOMB_X10_Y4_N30
\LED[5]~reg0feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \LED[5]~reg0feeder_combout\ = PWM_width(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => PWM_width(6),
	combout => \LED[5]~reg0feeder_combout\);

-- Location: FF_X10_Y4_N31
\LED[5]~reg0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \LED[5]~reg0feeder_combout\,
	ena => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \LED[5]~reg0_q\);

-- Location: LCCOMB_X10_Y4_N6
\LED[6]~reg0feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \LED[6]~reg0feeder_combout\ = PWM_width(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => PWM_width(6),
	combout => \LED[6]~reg0feeder_combout\);

-- Location: FF_X10_Y4_N7
\LED[6]~reg0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \LED[6]~reg0feeder_combout\,
	ena => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \LED[6]~reg0_q\);

-- Location: LCCOMB_X10_Y4_N0
\LED[7]~reg0feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \LED[7]~reg0feeder_combout\ = PWM_width(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => PWM_width(6),
	combout => \LED[7]~reg0feeder_combout\);

-- Location: FF_X10_Y4_N1
\LED[7]~reg0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \LED[7]~reg0feeder_combout\,
	ena => \reset_n~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \LED[7]~reg0_q\);

-- Location: RUBLOCK_X10_Y11_N2
\dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|fiftyfivenm_rublock\ : fiftyfivenm_rublock
PORT MAP (
	clk => \~GND~combout\,
	shiftnld => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_shiftnld~combout\,
	captnupdt => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_captnupdt~combout\,
	regin => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_regin~combout\,
	rsttimer => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ALT_INV_ru_rsttimer~_wirecell_combout\,
	rconfig => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ALT_INV_ru_rconfig~_wirecell_combout\,
	regout => \dual_arrow|dual_boot_0|alt_dual_boot_avmm_comp|alt_dual_boot|ru_regout\);

-- Location: OSCILLATOR_X10_Y11_N3
auto_osc_block : fiftyfivenm_oscillator
PORT MAP (
	oscena => \ALT_INV_~GND~combout\,
	clkout => \auto_osc_block~clkout\);

ww_LED(0) <= \LED[0]~output_o\;

ww_LED(1) <= \LED[1]~output_o\;

ww_LED(2) <= \LED[2]~output_o\;

ww_LED(3) <= \LED[3]~output_o\;

ww_LED(4) <= \LED[4]~output_o\;

ww_LED(5) <= \LED[5]~output_o\;

ww_LED(6) <= \LED[6]~output_o\;

ww_LED(7) <= \LED[7]~output_o\;
END structure;


